

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/relayfs/inode.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/relayfs/inode.c~relayfs-backing_dev-fix fs/relayfs/inode.c
--- 25/fs/relayfs/inode.c~relayfs-backing_dev-fix	2005-03-09 21:44:00.000000000 -0800
+++ 25-akpm/fs/relayfs/inode.c	2005-03-09 21:44:35.000000000 -0800
@@ -30,7 +30,7 @@ static kmem_cache_t *			relayfs_inode_ca
 
 static struct backing_dev_info		relayfs_backing_dev_info = {
 	.ra_pages	= 0,	/* No readahead */
-	.memory_backed	= 1,	/* Does not contribute to dirty memory */
+	.capabilities	= BDI_CAP_NO_ACCT_DIRTY | BDI_CAP_NO_WRITEBACK,
 };
 
 static struct inode *relayfs_get_inode(struct super_block *sb, int mode,
_
